View Issue Details

IDProjectCategoryView StatusLast Update
12208Bug reports[All Projects] Expression Managerpublic2017-05-22 17:39
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.64.x 
Target VersionFixed in Version2.64.x 
Summary12208: Bad language used for EM in survey logic file
DescriptionWhen you check Survey Logic file : some string use admin language, but must use survey language, and some other use Survey language but must use admin language.
Steps To ReproduceImport japanese survey included, check survey logic file:
1. The tips (public) must use Survey language : they are shown to the user
- Only numbers may be entered in these fields.
- The sum must equal ...
- Each answer ...
2. The tooltip on function must use admin language
Additional InformationI use japanese because different character and translated at 100%, then most clear
TagsNo tags attached.
Complete LimeSurvey version number (& build)20170318
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2017-03-18 18:35

developer  

Capture du 2017-03-18 18-26-23.png (105,322 bytes)
DenisChenu

DenisChenu

2017-03-18 18:35

developer  

limesurvey_survey_japanes.lss (16,811 bytes)
DenisChenu

DenisChenu

2017-03-18 20:14

developer   ~43290

https://github.com/LimeSurvey/LimeSurvey/pull/668
ShnoulleT

ShnoulleT

2017-03-21 18:43

reporter   ~43308

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22485
c_schmitz

c_schmitz

2017-05-22 17:39

administrator   ~43684

Release 2.65.1 Build 170522

Related Changesets

LimeSurvey: master f244c313

2017-03-21 18:43:33

ShnoulleT


Committer: GitHub Details Diff
Fixed issue 12208: Bad language used for EM in survey logic file (#668)

Dev: use adminlang for error and function information
Dev: use survey lang for survey string (show to public)
Dev: set adminlang only if needed (EM core is call too for public)
mod - application/helpers/expressions/em_core_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File

Issue History

Date Modified Username Field Change
2017-03-18 18:35 DenisChenu New Issue
2017-03-18 18:35 DenisChenu File Added: Capture du 2017-03-18 18-26-23.png
2017-03-18 18:35 DenisChenu File Added: limesurvey_survey_japanes.lss
2017-03-18 19:56 DenisChenu Assigned To => DenisChenu
2017-03-18 19:56 DenisChenu Status new => assigned
2017-03-18 20:14 DenisChenu Note Added: 43290
2017-03-21 18:43 ShnoulleT Changeset attached => LimeSurvey master f244c313
2017-03-21 18:43 ShnoulleT Note Added: 43308
2017-03-21 18:43 ShnoulleT Assigned To DenisChenu => ShnoulleT
2017-03-21 18:43 ShnoulleT Resolution open => fixed
2017-03-21 19:01 DenisChenu Assigned To ShnoulleT => DenisChenu
2017-03-21 19:01 DenisChenu Status assigned => resolved
2017-03-21 19:01 DenisChenu Fixed in Version => 2.64.x
2017-05-22 17:39 c_schmitz Note Added: 43684
2017-05-22 17:39 c_schmitz Status resolved => closed